Skip to main content
POST
/
connections
/
oauth
/
mcp
/
check
Check MCP OAuth DCR
curl --request POST \
  --url https://api.duvo.ai/v1/connections/oauth/mcp/check \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mcp_server_url": "<string>"
}
'
{
  "supports_dcr": true,
  "authorization_endpoint": "<string>",
  "scopes": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Body

application/json
mcp_server_url
string<uri>
required

URL of the MCP server to probe for OAuth support.

Response

Default Response

supports_dcr
boolean
required

True if the MCP server advertises OAuth Dynamic Client Registration

authorization_endpoint
string

OAuth authorization endpoint advertised by the MCP server, when discoverable

scopes
string[]

Scopes the MCP server requests during authorization